QGIS Application - Bug report #8521
DB Manager is not able to delete raster table
2013-08-27 09:47 AM - Salvatore Larosa

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17277
Description

When attempts to delete a raster table the following error raises:

function droprastertable(unknown, unknown) does not exist
RIGA 1: SELECT DropRasterTable('test', 'demelevation_r')

A

NOTA: No function matches the given name and argument types. You might need to add explicit type casts.

because DropRasterTable function is deprecated.

Associated revisions

Revision 3ac0759b - 2013-09-01 12:55 PM - Salvatore Larosa

[dbmanager] Replace DropRasterTable func (deprecated) with DROP TABLE: fixes #8521

History

#1 - 2013-08-29 07:39 AM - Salvatore Larosa
| think here is enough a DROP TABLE schema.tablename.

it also removes the references to raster_columns table.

#2 - 2013-09-01 03:56 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"3ac0759b048504037174f48cfc70fb7f8d519cba".
